Module | TkTreatTagFont
In: | tk/lib/tk/tagfont.rb

### Methods

asciifont_configure asciifont_copy font_configinfo font_configure font_copy kanjifont_configure kanjifont_copy latinfont_configure latinfont_copy

### Public Instance methods

asciifont_configure(ltn, keys=nil)

Alias for latinfont_configure

asciifont_copy(win, wintag=nil)

Alias for latinfont_copy

font_configinfo()

[Source]

    # File tk/lib/tk/tagfont.rb, line 7
      def font_configinfo
        @parent.tagfont_configinfo(@id)
      end

font_configure(slot)

alias font font_configinfo

[Source]

    # File tk/lib/tk/tagfont.rb, line 12
      def font_configure(slot)
        @parent.tagfont_configure(@id, slot)
        self
      end

font_copy(win, wintag=nil)

[Source]

    # File tk/lib/tk/tagfont.rb, line 28
      def font_copy(win, wintag=nil)
        @parent.tagfont_copy(@id, win, wintag)
        self
      end

kanjifont_configure(knj, keys=nil)

[Source]

    # File tk/lib/tk/tagfont.rb, line 23
      def kanjifont_configure(knj, keys=nil)
        @parent.kanjitagfont_configure(@id, ltn, keys)
        self
      end

kanjifont_copy(win, wintag=nil)

[Source]

    # File tk/lib/tk/tagfont.rb, line 39
      def kanjifont_copy(win, wintag=nil)
        @parent.kanjitagfont_copy(@id, win, wintag)
        self
      end

latinfont_configure(ltn, keys=nil)

[Source]

    # File tk/lib/tk/tagfont.rb, line 17
      def latinfont_configure(ltn, keys=nil)
        @parent.latintagfont_configure(@id, ltn, keys)
        self
      end

latinfont_copy(win, wintag=nil)

[Source]

    # File tk/lib/tk/tagfont.rb, line 33
      def latinfont_copy(win, wintag=nil)
        @parent.latintagfont_copy(@id, win, wintag)
        self
      end

[Validate]